//
//  BSAAdImageAndTextView.h
//  BSAAdFramework
//
//  Created by Rick Fillion on 7/2/10.
//  Copyright 2010 BuySellAds. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BSAAdImageView.h"

/**
 @brief BSAAdView subclass used by default for Image-and-text ads.
 
 */
@interface BSAAdImageAndTextView : BSAAdImageView {
    NSTextField *titleTextField;
    NSTextField *descriptionTextField;
    CGFloat textPadding;
}

// The text field used for the title of the ad
@property (nonatomic, readonly) NSTextField *titleTextField;
// The text field used for the description of the ad
@property (nonatomic, readonly) NSTextField *descriptionTextField;

/** This method is called when the frames of titleTextField and
 descriptionTextField should be updated.  The default implementation
 tries to center them vertically.
 */
- (void)updateTextFieldFrames;

@end
